SenseCrypt Docs
API ReferenceScim

Provision a group (SCIM 2.0)

POST/v1/idp/scim/v2/Groups

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/idp/scim/v2/Groups" \  -H "Content-Type: application/json" \  -d '{    "displayName": "Engineering",    "externalId": "grp-eng-01",    "members": [      {        "value": "2819c223-7f76-453a-919d-413861904646"      }    ],    "schemas": [      "urn:ietf:params:scim:schemas:core:2.0:Group"    ]  }'
{  "schemas": [    "urn:ietf:params:scim:schemas:core:2.0:Group"  ],  "id": "e9e30dba-f08f-4109-8486-d5c6a331660a",  "displayName": "Engineering",  "externalId": "grp-eng-01",  "members": [    {      "value": "2819c223-7f76-453a-919d-413861904646",      "$ref (member)": "https://acme.example.com/v1/idp/scim/v2/Users/2819c223-7f76-453a-919d-413861904646"    }  ],  "meta": {    "resourceType": "Group",    "location": "https://acme.example.com/v1/idp/scim/v2/Groups/e9e30dba-f08f-4109-8486-d5c6a331660a"  }}
{  "schemas": [    "urn:ietf:params:scim:api:messages:2.0:Error"  ],  "status": "400",  "detail": "a required field is missing",  "scimType": "invalidValue"}
{  "schemas": [    "urn:ietf:params:scim:api:messages:2.0:Error"  ],  "status": "409",  "detail": "userName already exists",  "scimType": "uniqueness"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string",      "input": null,      "ctx": {}    }  ]}